apiVersion: org.eclipse.che/v2
kind: CheCluster
metadata:
  creationTimestamp: '2022-09-22T16:32:09Z'
  finalizers:
    - checluster.che.eclipse.org
  generation: 2
  managedFields:
    - apiVersion: org.eclipse.che/v2
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:components':
            .: {}
            'f:cheServer':
              .: {}
              'f:debug': {}
              'f:logLevel': {}
            'f:database':
              .: {}
              'f:credentialsSecretName': {}
              'f:externalDb': {}
              'f:postgresDb': {}
              'f:postgresHostName': {}
              'f:postgresPort': {}
              'f:pvc':
                .: {}
                'f:claimSize': {}
            'f:metrics':
              .: {}
              'f:enable': {}
          'f:containerRegistry': {}
          'f:devEnvironments':
            .: {}
            'f:defaultNamespace':
              .: {}
              'f:template': {}
            'f:secondsOfInactivityBeforeIdling': {}
            'f:secondsOfRunBeforeIdling': {}
            'f:storage':
              .: {}
              'f:pvcStrategy': {}
          'f:networking':
            .: {}
            'f:auth':
              .: {}
              'f:gateway':
                .: {}
                'f:configLabels':
                  .: {}
                  'f:app': {}
                  'f:component': {}
      manager: Mozilla
      operation: Update
      time: '2022-09-22T16:32:09Z'
    - apiVersion: org.eclipse.che/v2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"checluster.che.eclipse.org"': {}
        'f:spec':
          'f:components':
            'f:dashboard': {}
            'f:devWorkspace': {}
            'f:devfileRegistry': {}
            'f:imagePuller':
              .: {}
              'f:enable': {}
              'f:spec': {}
            'f:pluginRegistry': {}
      manager: manager
      operation: Update
      time: '2022-09-22T16:32:12Z'
  name: devspaces
  namespace: openshift-devspaces
  resourceVersion: '31350162'
  uid: 91178e21-eba1-4842-8e36-1f611b3b943b
spec:
  components:
    cheServer:
      debug: false
      logLevel: INFO
    dashboard: {}
    database:
      credentialsSecretName: postgres-credentials
      externalDb: false
      postgresDb: dbche
      postgresHostName: postgres
      postgresPort: '5432'
      pvc:
        claimSize: 1Gi
    devWorkspace: {}
    devfileRegistry: {}
    imagePuller:
      enable: false
      spec: {}
    metrics:
      enable: true
    pluginRegistry: {}
  containerRegistry: {}
  devEnvironments:
    defaultNamespace:
      template: <username>-devspaces
    secondsOfInactivityBeforeIdling: 1800
    secondsOfRunBeforeIdling: -1
    storage:
      pvcStrategy: per-user
  networking:
    auth:
      gateway:
        configLabels:
          app: che
          component: che-gateway-config
